function X = LU_solve_gen(A,B)
% Funzione per risolvere l'equazione matriciale AX=B
%Input:
% A, B matrici 
%Output:
% X matrice soluzione del sistema AX=B

% Prima versione
[L,U,P]=lu(A);

[m n]=size(B);
for i=1:n
    Y=L\(P*B(:,i));
    X(:,i)=U\Y;
end

% Seconda Versione alternatva
% [L,U,P]=lu(A);
% Y=L\(P*B);
% X=U\Y;

% 
% Terza versione alternativa 
% [L,U,P]=lu(A);
% X=U\(L\(P*B));